package de.dtele.messages {
  
  import flash.events.EventDispatcher;
  
  /**
   * Definition of message response types
   * 
   * @author Mathias Brodala
   */
  public class MessageResponse extends EventDispatcher {
    
    /* Constants */
    /**
     * Signifies a response to a close action
     */
    public static const CLOSE:String = "close";
    /**
     * Signifies a response to a finishing confirmation action
     */
    public static const OK:String = "ok";
    /**
     * Signifies a response to a cancelling action
     */
    public static const CANCEL:String = "cancel";
    /**
     * Signifies a response to an applying action
     */
    public static const APPLY:String ="apply";
    /**
     * Signfies a response to a retry action
     */
    public static const RETRY:String = "retry";
    
    /* Properties */
    private var _type:String;
    [Bindable]
    [Inspectable(enumeration="close,ok,cancel,apply,retry")]
    /**
     * The type of the response
     */
    public function get type():String { return this._type; }
    protected function set type(type:String):void { this._type = type; }
    
    /* Methods */
    public function MessageResponse(type:String) {
      
      this._type = type;
    }
  }
}