package de.dtele.ui.components.events {
  
  import de.dtele.data.IResource;
  
  import flash.events.Event;
  
  /**
   * Notification for resource list events
   * 
   * @author Mathias Brodala
   */
  public class ResourceListEvent extends Event {
    
    /* Constants */
    /**
     * The ResourceListEvent.SELECTED constant defines the value of the 
     * <code>type</code> property of the event object 
     * for a <code>resourceSelected</code> event.
     * 
     * @eventType resourceSelected
     */
    public static const SELECTED:String = "resourceSelected";
    
    private var _resource:IResource;
    /**
     * The resource this event was dispatched for
     */
    public function get resource():IResource { return this._resource; }
    
    /* Methods */
    public function ResourceListEvent(type:String, resource:IResource, bubbles:Boolean=false, cancelable:Boolean=false) {
      
      super(type, bubbles, cancelable);
      this._resource = resource;
    }
  }
}