package de.dtele.ui.components.events {
  
  import de.dtele.data.ISource;
  
  import flash.events.Event;
  
  /**
   * Notification for source list events
   * 
   * @author Mathias Brodala
   */
  public class SourceListEvent extends Event {
    
    /* Constants */
    /**
     * The SourceListEvent.SELECT constant defines the value of the 
     * <code>type</code> property of the event object 
     * for a <code>sourceSelect</code> event.
     * 
     * @eventType sourceSelect
     */
    public static const SELECT:String = "sourceSelect";
    /**
     * The SourceListEvent.CLOSE constant defines the value of the 
     * <code>type</code> property of the event object 
     * for a <code>sourceClose</code> event.
     * 
     * @eventType sourceClose
     */
    public static const CLOSE:String = "sourceClose";
    
    /* Properties */
    private var _source:ISource;
    /**
     * The source this event was dispatched for
     */
    public function get source():ISource { return _source; }

    /* Methods */    
    public function SourceListEvent(type:String, source:ISource, bubbles:Boolean=false, cancelable:Boolean=false) {
      
      super(type, bubbles, cancelable);
      this._source = source;
    }
  }
}