package de.dtele.data {
  
  import mx.utils.ObjectProxy;
  
  /**
   * Interface for resource objects
   * 
   * @author Mathias Brodala
   */
  public interface IResource {
    
    /* Properties */
    /**
     * The source of this resource
     */
    function get source():ISource;
    
    /**
     * The URL of this resource
     */
    function get url():String;
    
    /**
     * The full URL of this resource, including source URL if necessary
     */
    function get fullUrl():String;
    
    /**
     * Properties of this source
     */
    function get properties():ObjectProxy;
  }
}