package de.dtele.data {
  
  /**
   * Represents a MIME type as described in RFC 2045
   * 
   * <p>This includes the media type, the sub type and possible parameters.</p>
   * 
   * @author Mathias Brodala
   */
  public class MimeType {
    
    private var _mediaType:String;
    /**
     * The top-level media type is used to declare the general type of data
     */
    public function get mediaType():String { return this._mediaType; }
    
    private var _subType:String;
    /**
     * The subtype specifies a specific format for that type of data
     */
    public function get subType():String { return this._subType; }
    
    private var _parameters:Object;
    /**
     * A set of parameters
     */
    public function get parameters():Object { return this._parameters; }
    
    public function MimeType(mediaType:String, subType:String, parameters:Object = null) {
      
      this._mediaType = mediaType;
      this._subType = subType;
      this._parameters = parameters;
    }
  }
}