package de.dtele.ui.components.events {
  
  import flash.events.Event;
  
  /**
   * Notification for upload button events
   * 
   * @author Mathias Brodala
   */
  public class UploadButtonEvent extends Event {
    
    /**
     * The UploadButtonEvent.FILES_SELECTED constant defines the value of the 
     * <code>type</code> property of the event object 
     * for a <code>filesSelected</code> event.
     * 
     * @eventType filesSelected
     */
    public static const FILES_SELECTED:String = "filesSelected";
    
    private var _files:Array;
    /**
     * The list of files which where selected by the user
     * 
     * @return The file list
     */
    public function get files():Array { return this._files; }

    
    public function UploadButtonEvent(type:String, files:Array, bubbles:Boolean=false, cancelable:Boolean=false) {
      
      super(type, bubbles, cancelable);
      this._files = files;
    }
  }
}